Package org.eclipse.net4j.util.concurrent

## Class ParallelRunner

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<java.lang.Runnable>
      - - org.eclipse.net4j.util.concurrent.ParallelRunner

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable<java.lang.Runnable>`, `java.util.Collection<java.lang.Runnable>`, `java.util.List<java.lang.Runnable>`, `java.util.RandomAccess`

      public class ParallelRunner
      extends java.util.ArrayList<java.lang.Runnable>

  A `list` of `runnables` that can be run in parallel.
  Since:
    3.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParallelRunner()` |
    `ParallelRunner​(int initialCapacity)` |
    `ParallelRunner​(java.util.Collection<? extends java.lang.Runnable> c)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run​(java.util.concurrent.ExecutorService executorService, long timeout)` |

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream, toArray`

    - ### Methods inherited from interface java.util.List

      `containsAll`

- - ### Constructor Detail

    - #### ParallelRunner

          public ParallelRunner()

    - #### ParallelRunner

          public ParallelRunner​(java.util.Collection<? extends java.lang.Runnable> c)

    - #### ParallelRunner

          public ParallelRunner​(int initialCapacity)

  - ### Method Detail

    - #### run

          public void run​(java.util.concurrent.ExecutorService executorService,
                          long timeout)
                   throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`